/*
 * GenPesPjs.java
 *
 * Created on 8 novembre 2007, 15:52
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package fr.gouv.finances.cp.xemelios.plugin.generatorPesPjs;

import fr.gouv.finances.cp.xemelios.tools.AbstractTool;
import fr.gouv.finances.cp.xemelios.tools.MenuTitle;
import javax.swing.JFrame;

/**
 *
 * @author chm
 */
@MenuTitle(value = "Générateur de flux PES PJ")
public class GenPesPjs extends AbstractTool {
    private JFrame parentWindow;
    
    /** Creates a new instance of GenPesPjs */
    public GenPesPjs() {
        super();
    }

    public void setParentWindow(JFrame parentWindow) {
        this.parentWindow=parentWindow;
    }

    public void run() {
        DlgGenPesPjs genPesPjs = new DlgGenPesPjs(parentWindow,false);
        genPesPjs.run();
    }
    public static void main(String[] args) {
        DlgGenPesPjs genPesPjs = new DlgGenPesPjs(null,false);
        genPesPjs.run();
    }
    
}
